%Compute the limit of pi_k+1/pi_k-1 as k -> infty
%set(0,'defaulttextinterpreter','latex'); %This is the default

P=primes(1e5); %a bound on how high you can go in a few secs
k=2:length(P)-10; %index of P
R=P(k-1)./P(k+1); %compute chevychev ratio re an octive (2x)

loglog(1-R); %since the ratio goes to 1, subtract 1 
grid

ylabel('$1-R$')
xlabel('$k$');

str='$R=\pi_{k+1}/\pi_{k-1}$'
title(str);

hold on
loglog([1e1, 1e4], [1e-1, 1e-4],'r-.', 'linewidth',1);
hold off
print -depsc2 PrimeRatio

